com.lowagie.text.xml.xmp

## Class DublinCoreSchema

- java.lang.Object
- - java.util.Dictionary<K,V>
  - - java.util.Hashtable<java.lang.Object,java.lang.Object>
    - - java.util.Properties
      - - com.lowagie.text.xml.xmp.XmpSchema
        - - com.lowagie.text.xml.xmp.DublinCoreSchema

All Implemented Interfaces:
  java.io.Serializable, java.lang.Cloneable, java.util.Map<java.lang.Object,java.lang.Object>

    public class DublinCoreSchema
    extends XmpSchema

An implementation of an XmpSchema.

See Also:
  Serialized Form

### Field Summary

Fields
`static java.lang.String` `CONTRIBUTOR` External Contributors to the resource (other than the authors).
`static java.lang.String` `COVERAGE` The extent or scope of the resource.
`static java.lang.String` `CREATOR` The authors of the resource (listed in order of precedence, if significant).
`static java.lang.String` `DATE` Date(s) that something interesting happened to the resource.
`static java.lang.String` `DEFAULT_XPATH_ID` default namespace identifier
`static java.lang.String` `DEFAULT_XPATH_URI` default namespace uri
`static java.lang.String` `DESCRIPTION` A textual description of the content of the resource.
`static java.lang.String` `FORMAT` The file format used when saving the resource.
`static java.lang.String` `IDENTIFIER` Unique identifier of the resource.
`static java.lang.String` `LANGUAGE` An unordered array specifying the languages used in the resource.
`static java.lang.String` `PUBLISHER` Publishers.
`static java.lang.String` `RELATION` Relationships to other documents.
`static java.lang.String` `RIGHTS` Informal rights statement, selected by language.
`private static long` `serialVersionUID`
`static java.lang.String` `SOURCE` Unique identifier of the work from which this resource was derived.
`static java.lang.String` `SUBJECT` An unordered array of descriptive phrases or keywords that specify the topic of the content of the resource.
`static java.lang.String` `TITLE` The title of the document, or the name given to the resource.
`static java.lang.String` `TYPE` A document type; for example, novel, poem, or working paper.

### Fields inherited from class com.lowagie.text.xml.xmp.XmpSchema

`xmlns`

### Fields inherited from class java.util.Properties

`defaults`

### Constructor Summary

Constructors
Constructor and Description
`DublinCoreSchema()`

### Method Summary

Methods
`void` `addAuthor(java.lang.String author)` Adds a single author.
`void` `addAuthor(java.lang.String[] author)` Adds an array of authors.
`void` `addDescription(java.lang.String desc)` Adds a description.
`void` `addPublisher(java.lang.String publisher)` Adds a single publisher.
`void` `addPublisher(java.lang.String[] publisher)` Adds an array of publishers.
`void` `addSubject(java.lang.String subject)` Adds a subject.
`void` `addSubject(java.lang.String[] subject)` Adds a subject.
`void` `addTitle(java.lang.String title)` Adds a title.

### Methods inherited from class com.lowagie.text.xml.xmp.XmpSchema

`addProperty, escape, getXmlns, process, setProperty, setProperty, setProperty, toString`

### Methods inherited from class java.util.Properties

`getProperty, getProperty, list, list, load, load, loadFromXML, propertyNames, save, store, store, storeToXML, storeToXML, stringPropertyNames`

### Methods inherited from class java.util.Hashtable

`clear, clone, contains, containsKey, containsValue, elements, entrySet, equals, get, hashCode, isEmpty, keys, keySet, put, putAll, rehash, remove, size, values`

### Methods inherited from class java.lang.Object

`finalize, getClass, notify, notifyAll, wait, wait, wait`

### Field Detail

#### serialVersionUID

    private static final long serialVersionUID

See Also:
  Constant Field Values

#### DEFAULT_XPATH_ID

    public static final java.lang.String DEFAULT_XPATH_ID

default namespace identifier

See Also:
  Constant Field Values

#### DEFAULT_XPATH_URI

    public static final java.lang.String DEFAULT_XPATH_URI

default namespace uri

See Also:
  Constant Field Values

#### CONTRIBUTOR

    public static final java.lang.String CONTRIBUTOR

External Contributors to the resource (other than the authors).

See Also:
  Constant Field Values

#### COVERAGE

    public static final java.lang.String COVERAGE

The extent or scope of the resource.

See Also:
  Constant Field Values

#### CREATOR

    public static final java.lang.String CREATOR

The authors of the resource (listed in order of precedence, if significant).

See Also:
  Constant Field Values

#### DATE

    public static final java.lang.String DATE

Date(s) that something interesting happened to the resource.

See Also:
  Constant Field Values

#### DESCRIPTION

    public static final java.lang.String DESCRIPTION

A textual description of the content of the resource. Multiple values may be present for different languages.

See Also:
  Constant Field Values

#### FORMAT

    public static final java.lang.String FORMAT

The file format used when saving the resource. Tools and applications should set this property to the save format of the data. It may include appropriate qualifiers.

See Also:
  Constant Field Values

#### IDENTIFIER

    public static final java.lang.String IDENTIFIER

Unique identifier of the resource.

See Also:
  Constant Field Values

#### LANGUAGE

    public static final java.lang.String LANGUAGE

An unordered array specifying the languages used in the resource.

See Also:
  Constant Field Values

#### PUBLISHER

    public static final java.lang.String PUBLISHER

Publishers.

See Also:
  Constant Field Values

#### RELATION

    public static final java.lang.String RELATION

Relationships to other documents.

See Also:
  Constant Field Values

#### RIGHTS

    public static final java.lang.String RIGHTS

Informal rights statement, selected by language.

See Also:
  Constant Field Values

#### SOURCE

    public static final java.lang.String SOURCE

Unique identifier of the work from which this resource was derived.

See Also:
  Constant Field Values

#### SUBJECT

    public static final java.lang.String SUBJECT

An unordered array of descriptive phrases or keywords that specify the topic of the content of the resource.

See Also:
  Constant Field Values

#### TITLE

    public static final java.lang.String TITLE

The title of the document, or the name given to the resource. Typically, it will be a name by which the resource is formally known.

See Also:
  Constant Field Values

#### TYPE

    public static final java.lang.String TYPE

A document type; for example, novel, poem, or working paper.

See Also:
  Constant Field Values

### Constructor Detail

#### DublinCoreSchema

    public DublinCoreSchema()

### Method Detail

#### addTitle

    public void addTitle(java.lang.String title)

Adds a title.

Parameters:
  `title` -

#### addDescription

    public void addDescription(java.lang.String desc)

Adds a description.

Parameters:
  `desc` -

#### addSubject

    public void addSubject(java.lang.String subject)

Adds a subject.

Parameters:
  `subject` -

#### addSubject

    public void addSubject(java.lang.String[] subject)

Adds a subject.

Parameters:
  `subject` - array of subjects

#### addAuthor

    public void addAuthor(java.lang.String author)

Adds a single author.

Parameters:
  `author` -

#### addAuthor

    public void addAuthor(java.lang.String[] author)

Adds an array of authors.

Parameters:
  `author` -

#### addPublisher

    public void addPublisher(java.lang.String publisher)

Adds a single publisher.

Parameters:
  `publisher` -

#### addPublisher

    public void addPublisher(java.lang.String[] publisher)

Adds an array of publishers.

Parameters:
  `publisher` -